
version: '3.6'

services:

  backend-core:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-backend-core:24.13.22
    ports:
      - 31313:31313
    environment:
      ARMS_DETAIL_CONNECT_URL: www.313.co.kr #http:// 제외, /arms~ add.
      SLACK_TOKEN: xoxb-6506875664277-6522692878945-oPqPDaebTVqUNHQfoIokVc9y
      SPRING_PROFILES_ACTIVE: stg # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    extra_hosts:
      - "313.co.kr:192.168.25.31"
      - "db.313.co.kr:192.168.25.40"
      - "nas.313.co.kr:192.168.25.42"
      - "ubuntu.313.co.kr:192.168.25.31"
      - "www.313.co.kr:192.168.25.31"
      - "www.a-rms.net:192.168.25.31"
      - "a-rms.net:192.168.25.31"
    volumes:
      - /nfs/allinone/app/backend-core:/mnt
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints: [node.hostname == swarm1]
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.25.33:24224
        fluentd-async-connect: "true"
        fluentd-retry-wait: "1s"
        fluentd-max-retries: "30"
        tag: backendcore

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
